# Uses of Interface
org.jmol.api.JmolAppConsoleInterface

Packages that use JmolAppConsoleInterface
Package
Description
org.jmol.api
org.jmol.console
org.jmol.consolejs
org.jmol.viewer
org.openscience.jmol.app.jmolpanel.console

## Uses of JmolAppConsoleInterface in org.jmol.api

Methods in org.jmol.api with parameters of type JmolAppConsoleInterface
Modifier and Type
Method
Description
`void`
JmolViewer.`setConsole(JmolAppConsoleInterface console)`
sets a custom console -- should be called IMMEDIATELY following allocateViewer create your console with, perhaps: new org.openscience.jmol.app.jmolPanel.AppConsole(vwr, displayFrame, externalJPanel, buttonsEnabled); (see examples/basic/org/jmol/Integration.java

## Uses of JmolAppConsoleInterface in org.jmol.console

Classes in org.jmol.console that implement JmolAppConsoleInterface
Modifier and Type
Class
Description
`class`
`AppletConsole`
`class`
`GenericConsole`
`class`
`JmolConsole`

## Uses of JmolAppConsoleInterface in org.jmol.consolejs

Classes in org.jmol.consolejs that implement JmolAppConsoleInterface
Modifier and Type
Class
Description
`class`
`AppletConsole`
An interface to Jmol.Console.

## Uses of JmolAppConsoleInterface in org.jmol.viewer

Fields in org.jmol.viewer declared as JmolAppConsoleInterface
Modifier and Type
Field
Description
`JmolAppConsoleInterface`
Viewer.`appConsole`
Methods in org.jmol.viewer that return JmolAppConsoleInterface
Modifier and Type
Method
Description
`JmolAppConsoleInterface`
Viewer.`getConsole()`

## Uses of JmolAppConsoleInterface in org.openscience.jmol.app.jmolpanel.console

Classes in org.openscience.jmol.app.jmolpanel.console that implement JmolAppConsoleInterface
Modifier and Type
Class
Description
`class`
`AppConsole`